% Example-14: Check Valid Functions
% check_valid_place: input place name(s) valid?
% check_valid_transition: input trans name valid? 
% in "GPenSIM Reference Manual"
% File: ex_14.m  (Main Simulation File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

global global_info
% stop simulations after 100 TU
global_info.STOP_AT = 100; 
% allow "tAlfa" to fire first
global_info.semaphore = 'tAlfa';  

spng = pnstruct('ex_14_pdf');

dyn.m0 = {'pSource',9};
dyn.ft = {'tAlfa',10, 'tBeta',20};
dyn.re = {'Robot-1',1,inf, 'Robot-2',1,inf};
pni = initialdynamics(spng, dyn);

sim = gpensim(pni);
plotp(sim, {'pSource','pAlfa','pBeta'});
check_places(); 
check_trans();