% Example-18: Get_Cost
%       using the function "get_cost"
% in "GPenSIM Reference Manual"
% File: ex_18.m  (Main Simulation File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024


clear all; clc; close all;
global global_info

% global variable to store the costs
global_info.COSTS = []; 
global_info.STOP_AT = 80;

pns = pnstruct('ex_18_pdf');

dyn.m0 = {'p0',1}; % tokens initially
dyn.ft = {'allothers',10}; 

% fixed & variable costs of machine operations
dyn.fc_fixed = {'Robot',3, 'CNC',250....
              'packaging',70};
dyn.fc_variable = {'Robot',5, 'CNC',50,...
             'packaging',22};

pni = initialdynamics(pns, dyn);
sim = gpensim(pni);

% plot the cost development as a bar-chart
X = categorical({'After Robot','After CNC',...
       'After packaging'});
X = reordercats(X,{'After Robot','After CNC',...
       'After packaging'});
bar(X,global_info.COSTS);
title('Development of the product cost');
