% Example-20: Testing function 'convert_PN_V'
% Converting a PN into a digraph
%     in "GPenSIM Reference Manual"
% File: ex_20_pdf.m (PDF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;
 
spng = pnstruct('ex_20_pdf');
disp('Petri net"s Extended Incidence Matrix (A): ');
disp(spng.incidence_matrix);

%%%%% 1: Convert Petri net into digraph V
V = convert_PN_V(spng); 
disp(' ');
disp('The Digraph"s Adajacency matrix: ');
disp(V.A);
 
%%%%% 2: Find the cycles in V
V = cycles(V); 
V.cycles
prncycles(V);

%%%%% 3: Find the Strongly Connected Comp.
SCC = stronglyconn(spng, 1); % each row of SCC is a 
SCC
prnscc(SCC, V);