% Example-26: Testing "matrixD"
% in "GPenSIM Reference Manual"
% File: ex_26.m  (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

spng = pnstruct('ex_26_pdf');


%%%%% Extract the "D" matrices
[Dp, D, Dm] = matrixD();


np = nplaces(); % number of places

% Ae: extended incidence matrix
Ae = spng.incidence_matrix;
% Ai : input incidence matrix
Ai = Ae(:, np+1:end);
% Ao : output incidence matrix
Ao = Ae(:, 1:np);

if all(all(eq(Dm, Ai)))
    disp(['Input incidence matrices "Dm" ' ...
        'and "Ai" are the same!']); 
end

if all(all(eq(Dp, Ao)))
    disp(['Output incidence matrices "Dp" ' ...
        'and "Ao" are the same!']); 
end