% Example-29: Testing "gpensim_2_PNCT"
% in "GPenSIM Reference Manual"
% File: ex_29.m  (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

spng = pnstruct('ex_29_pdf');

%%%%% extract the GPenSIM incidence matrices
[Ao, A, Ai] = matrixD();

%%%%% convert to the PNCT incidence matrices
[Pre_A, Post_A, D] = ...
    gpensim_2_PNCT(spng.incidence_matrix);

%%%%% dispaly the incidence matrices
disp('PNCT "Pre_A":'); disp(Pre_A); 
disp('PNCT "Post_A":'); disp(Post_A);
disp('GPenSIM "Ae":'); disp(spng.incidence_matrix); 

%%%%% now, compare GPenSIM and PNCT
if all(all(eq(Post_A, transpose(Ai))))
    disp(['PNCT "Post_A" is the same as ' ...
        ' GPenSIM "Ai" transposed!']); 
end
if all(all(eq(Pre_A, transpose(Ao))))
    disp(['PNCT "Pre_A" is the same as ' ...
        ' GPenSIM "Ao" transposed!']); 
end
