% Example-31: Print Token Colors
% in "GPenSIM Reference Manual"
% File: ex_31.m  (Main Simulation File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024


clear all; clc; close all; 
global global_info

global_info.STOP_AT = 10;

spng = pnstruct('ex_31_pdf'); 
dyn.m0 = {'pGen',3}; 
dyn.ft = {'allothers',1}; 

pni = initialdynamics(spng, dyn); 

sim = gpensim(pni);

disp('prncolormap(sim) *****'); 
prncolormap(sim);

disp(' ');
disp('prncolormap(sim, {"pA","pB"}) *****'); 
prncolormap(sim, {'pA','pB'});

disp(' ');
disp('prnfinalcolors(sim) *****'); 
prnfinalcolors(sim);

disp(' ');
disp('prnfinalcolors(sim, {"pA", "pB"}) *****'); 
prnfinalcolors(sim, {'pA', 'pB'});

disp(' ');
disp('prnfinalcolorsSummary(sim) *****'); 
prnfinalcolorsSummary(sim);

disp(' ');
disp('prnfinalcolorsSummary(sim, {"pGen", "pB"}) *****'); 
prnfinalcolorsSummary(sim, {'pGen', 'pB'});
