% Example-35: priority functions
% in "GPenSIM Reference Manual"
function [fire, trans] = COMMON_PRE(trans) 

trans_name = trans.name;
if ismember(trans_name, {'t1','t2','t3'}) 
    disp(['Enabled consumer: ', trans_name]); 
    fire = 1; return
end

%%%%%% if we are here, it is the producer 
% Step-1: reset all priorities
priorset('t1',0); 
priorset('t2',0); 
priorset('t3',0);

% step-2: randomly choose a consumer
choosen_consumer = ceil(3*rand); 
nameChosen = ['t', int2str(choosen_consumer)]; 
disp(['Producer chooses: "', nameChosen, '"']);

% step-3: set higher priority to choosen
priorset(nameChosen, 1);
fire = 1;