% Example-38: Resource Management 
% in "GPenSIM Reference Manual"
function [fire, transition] = COMMON_PRE(transition) 

switch transition.name 
    case 'tA1'
        % request: specific, both Q and R
        granted = requestSR({'Q',1, 'R',1}); 
    
    case 'tA2'
        % need nothing (do nothing)
        granted = 1;
    
    case 'tB1'
        % request: specific, Q only
        granted = requestSR({'Q',1}); 
    
    case 'tB2'
        % request: specific, R only
        granted = requestSR({'R', 1});
end

% fire only if acquisition sucessful
fire = granted;