% Example-41: Color-based Token Selection 
% in "GPenSIM Reference Manual"
% File:  ex_41.m (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

global global_info 
global_info.STOP_AT = 200;

% colors to add
global_info.cr = {{'Red'}, {'Green'}, {'Blue'},... % one string 
     {'Red','Green'}, ... % two strings 
     {'Red','Green','Blue'}, ... % three strings 
     {'Red','Green','Blue','Grey'},{}}; % four and zero strings

% initial color rotation index
global_info.cr_index = 0;

png = pnstruct('ex_41_pdf');

%%%% initial dynamics %%%%
dyn.m0 = {'pPaint',10, 'pDelay',1}; 
dyn.ft = {'tDelay',100, 'allothers',1}; 
pni = initialdynamics(png, dyn);
sim = gpensim(pni); 
prnfinalcolors(sim, {'pWithColor','pWOutColor'});
