% Example-42: Time-based Token Selection 
% in "GPenSIM Reference Manual"

function [fire, transition] = COMMON_PRE(transition)
% Selecting trans (tEariest and tLatest) 
% only three times

ntP = timesfired(transition.name); 
if ismember(transition.name, {'tEarliest','tLatest'}) 
    if eq(ntP, 3), fire = 0; return; end 
end

switch transition.name 
    case 'tTimer'
        transition.new_color = num2str(current_time()); 
        tokID1 = 1; % always let tTimer fire

    case 'tEarliest' 
        tokID1 = tokenArrivedEarly('pTimed', 1);
    
    case 'tLatest' 
        tokID1 = tokenArrivedLate('pTimed', 1);
    
    case 'tDelay'
        tokID1 = 1; % let tDelay fire
end
transition.selected_tokens = tokID1; 
fire = tokID1; % must have the specified colors